Bug 215597 - net-mgmt/seafile-server: Updated to 6.0.7
Summary: net-mgmt/seafile-server: Updated to 6.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL: https://github.com/haiwen/seafile-ser...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2016-12-27 02:32 UTC by Ultima
Modified: 2016-12-30 12:55 UTC (History)
2 users (show)

See Also:


Attachments
seafile-server.diff (1.01 KB, patch)
2016-12-27 02:32 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff
seafile-server.diff (3.05 KB, patch)
2016-12-28 21:31 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-12-27 02:32:25 UTC
Created attachment 178308 [details]
seafile-server.diff

This is an update to seafile-server to the most current version, 6.0.7. This update is a patch version update.

* Updated to 6.0.7

 - Allow mysql root password to be empty.
 - No need to set ccnet peer name anymore.
 - Fixed a typo in upgrade scripts.
 - jpeg mime type
 - Add record to GarbageRepos when delete a broken repo
 - Get content-length from header when handling web upload.

portlint -AC:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
12amd64: success https://poudriere.ultimasbox.com/data/12amd64-test/2016-12-26_21h07m02s/logs/seafile-server-6.0.7.log
12i386: success https://poudriere.ultimasbox.com/data/12i386-test/2016-12-26_21h07m03s/logs/seafile-server-6.0.7.log
110amd64: success https://poudriere.ultimasbox.com/data/110amd64-test/2016-12-26_21h07m00s/logs/seafile-server-6.0.7.log
110i386: success https://poudriere.ultimasbox.com/data/110i386-test/2016-12-26_21h07m01s/logs/seafile-server-6.0.7.log
103amd64: success https://poudriere.ultimasbox.com/data/101amd64-test/2016-12-26_21h06m58s/logs/seafile-server-6.0.7.log
103i386: success https://poudriere.ultimasbox.com/data/101i386-test/2016-12-26_21h06m59s/logs/seafile-server-6.0.7.log
93amd64: skipped: py27-cryptography-1.6: https://poudriere.ultimasbox.com/build.html?mastername=93amd64-test&build=2016-12-26_21h07m04s
93i386: skipped: py27-cryptography-1.6: https://poudriere.ultimasbox.com/build.html?mastername=93i386-test&build=2016-12-26_21h07m05s
Comment 1 Nikolai Lifanov freebsd_committer 2016-12-28 19:37:26 UTC
I don't seem to be able to fetch this:

=> Attempting to fetch https://codeload.github.com/haiwen/seafile-server/tar.gz/v6.0.7-server?dummy=/haiwen-seafile-server-v6.0.7-server_GH0.tar.gz
fetch: https://codeload.github.com/haiwen/seafile-server/tar.gz/v6.0.7-server?dummy=/haiwen-seafile-server-v6.0.7-server_GH0.tar.gz: size mismatch: expected 695566, actual 695733
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/haiwen-seafile-server-v6.0.7-server_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/haiwen-seafile-server-v6.0.7-server_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1
Comment 3 commit-hook freebsd_committer 2016-12-30 12:54:54 UTC
A commit references this bug:

Author: lifanov
Date: Fri Dec 30 12:54:38 UTC 2016
New revision: 429977
URL: https://svnweb.freebsd.org/changeset/ports/429977

Log:
  * Updated to 6.0.7

   - Allow mysql root password to be empty.
   - No need to set ccnet peer name anymore.
   - Fixed a typo in upgrade scripts.
   - jpeg mime type
   - Add record to GarbageRepos when delete a broken repo
   - Get content-length from header when handling web upload.

  PR:		215597
  Submitted by:	Ultima1252@gmail.com (maintainer)
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8985

Changes:
  head/net-mgmt/seafile-server/Makefile
  head/net-mgmt/seafile-server/distinfo
  head/net-mgmt/seafile-server/files/patch-configure.ac
Comment 4 Nikolai Lifanov freebsd_committer 2016-12-30 12:55:25 UTC
Committed, thanks!